Loading...
Searching...
No Matches
tiny_dnn::edge Class Reference

class containing input/output data More...

`#include <node.h>`

## Public Member Functions

| edge (node *prev, const shape3d &shape, vector_type vtype)
void | merge_grads (vec_t *dst)
void | clear_grads ()
tensor_t * | get_data ()
const tensor_t * | get_data () const
tensor_t * | get_gradient ()
const tensor_t * | get_gradient () const
const std::vector< node * > & | next () const
node * | prev ()
const node * | prev () const
const shape3d & | shape () const
vector_type | vtype () const
void | add_next_node (node *next)

## Detailed Description

class containing input/output data

The documentation for this class was generated from the following file:

- tiny_dnn/node.h